## GdauiDataProxyInfo GdauiDataProxyInfo |

## Synopsis

    struct              GdauiDataProxyInfo;
    enum                GdauiDataProxyInfoFlag;
    GtkWidget *         gdaui_data_proxy_info_new           (GdauiDataProxy *data_proxy,
                                                             GdauiDataProxyInfoFlag flags);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GdauiDataProxyInfo

## Implemented Interfaces

GdauiDataProxyInfo implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "data-proxy"               GdauiDataProxy*       : Read / Write
      "flags"                    GdauiDataProxyInfoFlag  : Read / Write
      "ui-manager"               GtkUIManager*         : Read

## Description

## Details

### struct GdauiDataProxyInfo

    struct GdauiDataProxyInfo;

### enum GdauiDataProxyInfoFlag

    typedef enum {
    	GDAUI_DATA_PROXY_INFO_NONE = 0,
    	GDAUI_DATA_PROXY_INFO_CURRENT_ROW    = 1 << 0,
    	GDAUI_DATA_PROXY_INFO_ROW_MODIFY_BUTTONS = 1 << 2,
    	GDAUI_DATA_PROXY_INFO_ROW_MOVE_BUTTONS = 1 << 3,
    	GDAUI_DATA_PROXY_INFO_CHUNCK_CHANGE_BUTTONS = 1 << 4,
    	GDAUI_DATA_PROXY_INFO_NO_FILTER = 1 << 5
    } GdauiDataProxyInfoFlag;

### gdaui_data_proxy_info_new ()

    GtkWidget *         gdaui_data_proxy_info_new           (GdauiDataProxy *data_proxy,
                                                             GdauiDataProxyInfoFlag flags);

Since 4.2

## Property Details

### The `"data-proxy"` property

      "data-proxy"               GdauiDataProxy*       : Read / Write

### The `"flags"` property

      "flags"                    GdauiDataProxyInfoFlag  : Read / Write

Default value: GDAUI_DATA_PROXY_INFO_CURRENT_ROW

### The `"ui-manager"` property

      "ui-manager"               GtkUIManager*         : Read

Since 4.2.9